请问ssget栏选是不是不能添加过滤条件呀
(setq p1 (getpoint))(setq p2 (getpoint p1))
(setq ss (ssget "F" (list p1 p2) '(0 . "LINE")))
请问为什么这段代码返回的是error:bad point argument? 删除了'(0 . "LINE")就没事了,是栏选不能添加过滤条件吗 '((0 . "LINE")) Gu_xl 发表于 2014-6-27 12:19 static/image/common/back.gif
'((0 . "LINE"))
谢谢GU版, 我还有个关于栏选的疑问,希望Gu版能再帮忙解答一下
我写了一个程序:画线穿过polyline线,在交点处生成圆。 但是我发现当polyline线线型是dash的时候会找不到交点,见下图红色线,不知道问题在哪里,如何解决
下面是我的代码, 麻烦了。 谢谢
(defun c:rr ()
(vl-load-com)
(setq p1 (getpoint))
(setq p2 (getpoint p1))
(setq ss (ssget "F" (list p1 p2) '((0 . "LWPOLYLINE"))))
(command "line" p1 p2 "")
(setq e1 (entlast))
(setq oj1 (vlax-ename->vla-object e1))
(setq n 0)
(repeat (sslength ss)
(setq e2 (ssname ss n))
(setq oj2 (vlax-ename->vla-object e2))
(setq p (vla-IntersectWith oj1 oj2 0))
(setq pt (vlax-safearray->list (vlax-variant-value p)))
(command "circle" pt 100)
(setq n (+ 1 n))
)
)
偏方是先改 LtScale Andyhon 发表于 2014-6-27 13:07 static/image/common/back.gif
偏方是先改 LtScale
谢谢 但是有什么方法可以把LTS还原回去吗? GetVar / SetVar
页:
[1]